<?php

namespace App\Http\Controllers;
use App\contracts\AdminLoginInterface;
use App\Http\Requests\LoginRequest;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AdminController extends Controller
{
    protected $adminloginrepo;
    public function __construct(AdminLoginInterface $adminloginrepo)
    {
        $this->adminloginrepo = $adminloginrepo;
    }
    public function loginpage()
    {
        return view('admin/login');
    }
    public function login(LoginRequest $request)
    {
        $credentials = $request->only('username', 'password');
        if($this->adminloginrepo->attemptLogin($credentials))
        {
            echo "Success"; die;
        }
        return back()->withErrors([
            'username' => 'The provided credentials do not match our records.',
        ])->withInput();

        
    }
}
